IALARMS(8)

NAME
ipmiutil alarms - display and set alarm indicators

SYNOPSIS
ipmiutil alarms [-abcdimnoprx -N node -U user -P/-R pswd -EFJTVY]

DESCRIPTION
ipmiutil alarms is a program that uses IPMI commands to display and set alarm indicators, which are usually LEDs on the system chassis front panel. This utility can use either the /dev/ipmi0 driver from OpenIPMI, the /dev/imb driver from Intel, the /dev/ipmikcs driver from valinux, direct user-space IOs, or the IPMI LAN interface if -N. Note that a LAN user must have Administrative privileges to read or write the alarm LEDs. Note that this utility may not be the only logic setting alarm states. The BMC firmware, system management software, or cluster fault manager may also want to set alarm states. Intel provides a Telco Alarms Manager API which presents a consolidated interface for all alarm management applications.

OPTIONS
Command line options are described below.

-r  Read-only. Show the alarms status, but do not set any states. This is also the default mode if no parameters are specified.

-iN Sets the Chassis Identify feature, which can be an LED or some other alarm. If N=0, turn off the Chassis ID, otherwise turn the ID on for N seconds. N=255 will turn on the ID indefinitely, if it is IPMI 2.0.

-aN Sets Disk A Fault LED. If N=0, turn it off. If N=1, turn it on. Used only for TIGPT1U platform.

-bN Sets Disk B Fault LED. If N=0, turn it off. If N=1, turn it on. Used only for TIGPT1U platform.

-dXN
    Sets Disk X Fault LED, where X=0-6. If N=0, turn it off. If N=1, turn it on. Used only for NSC2U platform.

-cN Sets the Critical Alarm. If N=0, turn it off. If N=1, turn it on.

-mN Sets the Major Alarm. If N=0, turn it off. If N=1, turn it on.

-nN Sets the Minor Alarm. If N=0, turn it off. If N=1, turn it on.

-pN Sets the Power Alarm. If N=0, turn it off. If N=1, turn it on. Note that the Power LED is also wired to the System Fault LED in the back of the system, so this state may be off for Power, but the LED could be lit for a System Fault reason instead. Refer to the system Technical Product Specification for System Faults.

-o  Sets all alarms off, including the Chassis ID.

-x  Causes extra debug messages to be displayed.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-P/-R rmt_pswd
    Remote password for the nodename given. The default is a null password.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-T  Use this IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-V  Use this IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

SEE ALSO
ipmiutil(8) iconfig(8) icmd(8) idiscover(8) ievents(8) ifru(8) igetevent(8) ihealth(8) ilan(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) iwdt(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2009 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>